package com.wdkl.ncs.android.middleware.model.vo;

import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.dos.DeviceDO;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author
 * @title: DeviceNurseInfoVO
 * @projectName nc
 * @description: TODO
 * @date 2021/4/1320:49
 */
public class DeviceNurseInfoVO extends DeviceDO {

    @Column(name = "hospital_id")
    @ApiModelProperty(value = "医院id", required = false)
    private Integer hospitalId;

    @Column(name = "hospital_name")
    @ApiModelProperty(value = "医院名称", required = false)
    private String hospitalName;

    @Column(name = "part_name")
    @ApiModelProperty(value = "科室名称", required = false)
    private String partName;

    @Column(name = "full_name")
    @ApiModelProperty(value = "病房病床名称", required = false)
    private String fullName;

    @Column(name = "member_name")
    @ApiModelProperty(value = "用户名称", required = false)
    private String memberName;

    @Column(name = "role_name")
    @ApiModelProperty(value = "角色名称", required = false)
    private String roleName;

    @Column(name = "part_display")
    @ApiModelProperty(value = "科室显示名称（科室全称字段）", required = false)
    private String partDisplay;


    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getPartName() {
        return partName;
    }

    public void setPartName(String partName) {
        this.partName = partName;
    }

    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getPartDisplay() {
        return partDisplay;
    }

    public void setPartDisplay(String partDisplay) {
        this.partDisplay = partDisplay;
    }
}
